Subject: Re: bug#42186: emacs swiper package missing since ivy update 0.13.1

From: Pierre Langlois <[email-masked]>
Date: Sat, 04 Jul 2020 12:46:03 +0200

Nicolas Goaziou writes:

> Hello,
>
> Pierre Langlois <[email-masked]> writes:
>
>> I just noticed the last update to the emacs-ivy package removed
>> swiper.el from the package by moving from github to elpa. It seems elpa
>> packages ivy and swiper separately
>> (https://elpa.gnu.org/packages/swiper.html).
>>
>> I don't have time to submit a patch to fix it at the moment so I'm just
>> filing a bug, but I can get to it next week if needed :-). I think we
>> can either go back to using github to fetch the source, or package
>> emacs-swiper separately.
>>
>> WDYT?
>
> I think packages from GNU ELPA are cleaner, and easier to update.
> I added emacs-swiper package.

Nice, thanks for the quick fix! Originally I noticed this because of the
emacs-lispy package failing to build. Here's a patch to add
`emacs-swiper` as a dependency to fix it.

I suspect we might need to fix some more, including the few
emacs-counsel-* packages we have. I agree things will be cleaner that
way in the end :-).

Thanks,
Pierre

From cc5609fbb99dbec1eefaca87a04bce8b6088bd2b Mon Sep 17 00:00:00 2001
From: Pierre Langlois <[email-masked]>
Date: Sat, 4 Jul 2020 12:41:37 +0200
Subject: [PATCH] gnu: emacs-lispy: Add emacs-swiper dependency.

* gnu/packages/emacs-xyz.scm (emacs-lispy)[propagated-inputs]: Add
emacs-swiper.
---
 gnu/packages/emacs-xyz.scm | 1 +
 1 file changed, 1 insertion(+)

diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
index 5c4861766c..813b7d3eb1 100644
--- a/gnu/packages/emacs-xyz.scm
+++ b/gnu/packages/emacs-xyz.scm
@@ -6695,6 +6695,7 @@ navigate code in a tree-like fashion.")
      `(("emacs-ace-window" ,emacs-ace-window)
        ("emacs-iedit" ,emacs-iedit)
        ("emacs-ivy" ,emacs-ivy)
+       ("emacs-swiper" ,emacs-swiper)
        ("emacs-hydra" ,emacs-hydra)
        ("emacs-zoutline" ,emacs-zoutline)))
     (native-inputs
--
2.27.0